POST/autopay/search

AutoPay Search

This service allows listing the AutoPays registered by a merchant and filtering them according to operational and audit criteria. It is intended for administrative queries, reconciliation, and monitoring of the autopay contract lifecycle.

Request

  • Name
    auth
    Type
    Authentication
    is Required
    REQUIRED
    Description

    Structure containing the site authentication information generated according to the WSSE UsernameToken Profile 1.1. See more at Authentication.

  • Name
    filters
    Type
    object
    is optional
    Description

    Filtering criteria for the search.

  • Name
    pagination
    Type
    Pagination
    is optional
    Description

    Structure containing pagination information.

  • Name
    locale
    Type
    string
    is optional
    Description

    Response language.

    Example:en_EN

Request

POST
/autopay/search
curl -X "POST" {{baseURl}}/autopay/search \
-H "Content-Type: application/json" \
-d '{
"auth": {
    "login":"aabbccdd1234567890aabbccdd123456",
    "tranKey":"ABC123example456trankey+789abc012def3456ABC=",
    "nonce":"enQ4dXh3YWhkMWM=",
    "seed":"2023-06-21T09:56:06-05:00"
},
"filters": {
    "reference": "PAYMENT_1",
    "id": "328eb09a-363f-48a6-a16e-51c5a58b89ec",
    "chargeTypes": ["FIXED", "TOTAL_BALANCE"],
    "status": ["APPROVED", "REJECTED"],
    "createdAt": {
        "from": "2025-09-01",
        "to": "2025-09-30"
    }
},
"pagination": {
    "perPage": 15,
    "currentPage": 1
},
"locale": "es_ES"
}'

Response

Successful request

  • Name
    status
    Type
    Status
    is Required
    REQUIRED
    Description

    Structure used to define response statuses.

  • Name
    data
    Type
    array
    is optional
    Description

    List of autopays that match the search criteria.

  • Name
    pagination
    Type
    Pagination
    is optional
    Description

    Structure containing pagination information.


Response

POST
/autopay/search
{
    "status": {
        "status": "OK",
        "reason": "00",
        "message": "The request has been processed successfully",
        "date":"2023-06-21T09:56:06-05:00"
    },
    "pagination": {
        "total": 3,
        "perPage": 15,
        "currentPage": 1,
        "lastPage": 1
    },
    "data": [
        {
            "status": {
                "status": "APPROVED",
                "reason": "00",
                "date":"2023-06-21T09:56:06-05:00"
            },
            "id": "328eb09a-363f-48a6-a16e-51c5a58b89ec",
            "payer": {
                "document": "911111111",
                "documentType": "CC",
                "name": "john",
                "surname": "doe",
                "email": "[email protected]",
                "mobile": "+573111111111"
            },
            "buyer": {
                "name": "john",
                "surname": "doe",
                "email": "[email protected]",
            },
            "subscription": {
                "reference": "12345",
                "description": "Example description",
                "amount": {
                "currency": "USD",
                "total": 10
            },
            "recurring": {
                "type": "FIXED",
                "periodicity": "M",
                "interval": "1",
                "nextPayment": "2025-08-24",
                "dueDate": "2025-09-24"
            },
        },
        "additional": {
            "customerAccountNumber": "1232312323",
            "dueDay": "25",
            "sessionId": "abcd-2203-3bf1-af97-fcf4cebb18af"
        },
        "createdAt": "2021-09-24T10:02:17-05:00",
        "updatedAt": "2021-09-24T10:02:17-05:00"
    },
    {
        "status": {
            "status": "REJECTED",
            "reason": "?C",
            "date":"2023-06-21T09:56:06-05:00"
        },
        "id": "328eb09a-363f-48a6-a16e-51c5a58b89ec",
        "payer": {
            "document": "911111111",
            "documentType": "CC",
            "name": "john",
            "surname": "doe",
            "email": "[email protected]",
            "mobile": "+573111111111"
        },
        "subscription": {
            "reference": "MyReference",
            "description": "Example description",
            "recurring": {
                "type": "TOTAL_BALANCE",
                "periodicity": "D",
                "interval": "1",
                "nextPayment": "2025-08-24",
                "dueDate": "2025-09-24"
            },
        },
        "additional": {
            "customerAccountNumber": "1232312323",
            "dueDay": "25",
            "sessionId": "abcd-2203-3bf1-af97-fcf4cebb18af"
        },
        "createdAt": "2021-09-24T10:02:17-05:00",
        "updatedAt": "2021-09-24T10:02:17-05:00"
        }
    ]
}